<?php


namespace app\api;


class ErrorCode
{

    const CODE_DB_ERROR = "9005";//数据库写入失败
    const CODE_RECORD_NOT_FOUND = "9404";//记录未找到或已被删除0

    /**
     * 返回错误代内容
     * @param $code
     * @return mixed
     */
    public static function getError($code)
    {
        $errArr = self::getErrorArr();
        if (!key_exists($code, $errArr)) {
            return "未知错误";
        }
        return $errArr[$code];
    }

    /**
     * 获取错误码数组
     * @return array
     */
    protected static function getErrorArr()
    {
        return [
            "0" => "成功",
            //100以内，需要重新登录
            "11" => "token过期",
            "12" => "token不正确或已失效",
            "13" => "缺少token",
            "14" => "token格式不正确",
            "9001" => "缺少签名",
            "9002" => "签名不正确",
            "9004" => "请求已过期",
            self::CODE_DB_ERROR => "数据写入失败，请稍后再试",
            self::CODE_RECORD_NOT_FOUND => "记录未找到或已被删除",
            "9999" => "系统错误",
        ];
    }
}